# abstract CairoImageSurface(CairoSurface)

#### package lime.graphics.cairo

#### from CFFIPointer, CairoSurface to CFFIPointer, CairoSurface

Available on Android, iOS, Linux, macOS, Neko, Windows

### Constructor

###

`new (format:CairoFormat, width:Int, height:Int)`

### Variables

###

`read onlydata:DataPointer`

###

`read onlyformat:CairoFormat`

###

`read onlyheight:Int`

###

`read onlystride:Int`

###

`read onlywidth:Int`

### Static methods

###

`staticcreate (data:DataPointer, format:CairoFormat, width:Int, height:Int, stride:Int):CairoSurface`

###

`staticfromImage (image:Image):CairoSurface`